> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Auth Totp

> Verify TOTP code. Sets totp_validated flag on session.



## OpenAPI

````yaml /openapi.json post /api/v1/auth/totp
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/auth/totp:
    post:
      tags:
        - auth
      summary: Auth Totp
      description: Verify TOTP code. Sets totp_validated flag on session.
      operationId: auth_totp_api_v1_auth_totp_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TotpLoginRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TotpLoginRequest:
      properties:
        sessionKey:
          type: string
          title: Sessionkey
          description: Session key from email OTP step
        code:
          type: string
          maxLength: 8
          minLength: 6
          title: Code
          description: 6-digit TOTP code or 8-char recovery code
      type: object
      required:
        - sessionKey
        - code
      title: TotpLoginRequest
      description: Request to complete login with TOTP code.
    StatusResponse:
      properties:
        status:
          type: string
          title: Status
          default: ok
      type: object
      title: StatusResponse
      description: Simple status response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````